> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit GRC Assessment

> Submit a GRC assessment for a given connection.



## OpenAPI

````yaml post /grc/assessments/response
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - description: Production API (US)
    url: https://api.leen.dev/v1
  - description: Production API (EU)
    url: https://api.eu-c1.leen.dev/v1
  - description: Production API (APAC)
    url: https://api.ap-se2.leen.dev/v1
security: []
paths:
  /grc/assessments/response:
    post:
      tags:
        - grc
        - assessments
      summary: Submit GRC Assessment
      description: Submit a GRC assessment for a given connection.
      operationId: submit_grc_assessment
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssessmentResponseModel'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponseModel'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: Bad Request
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - API-Key: []
          Connection-ID: []
components:
  schemas:
    AssessmentResponseModel:
      properties:
        action:
          default: SAVE
          description: Action to perform
          enum:
            - SUBMIT
            - SAVE
          title: Action
          type: string
        assessment_id:
          description: Assessment ID
          title: Assessment Id
          type: string
        response:
          description: List of question responses
          items:
            $ref: '#/components/schemas/QuestionResponse'
          title: Response
          type: array
      required:
        - assessment_id
        - response
      title: AssessmentResponseModel
      type: object
    JobResponseModel:
      description: Response model for job creation endpoints that return a job ID.
      properties:
        job_id:
          description: Job ID for tracking async operation status
          title: Job Id
          type: string
      required:
        - job_id
      title: JobResponseModel
      type: object
    ErrorException:
      properties:
        detail:
          description: Error message
          title: Detail
          type: string
      required:
        - detail
      title: ErrorException
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    QuestionResponse:
      properties:
        question_id:
          title: Question Id
          type: string
        response:
          anyOf:
            - type: string
            - type: 'null'
          title: Response
      required:
        - question_id
      title: QuestionResponse
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    API-Key:
      in: header
      name: X-API-KEY
      type: apiKey
    Connection-ID:
      in: header
      name: X-CONNECTION-ID
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.